Bug 158575 - RFE: introduce centralized logging of rpmnew/rpmsave file creation for admin review
RFE: introduce centralized logging of rpmnew/rpmsave file creation for admin ...
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-05-23 14:15 EDT by Jef Spaleta
Modified: 2010-05-08 04:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-26 22:25:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2005-05-23 14:15:09 EDT
Description of problem:
No centralized way for a system admin or hobbiest (or remote troubleshooter) to
get an accounting of rpmnew or rpmsave files created on rpm updates using any
available rpm update tools. Brute force filesystem searching or indexing has to
be used to find rpmnew/rpmsave files. The situation has become more combersome
now that slocate is turned off by default in fc4. Though relying on slocate for
this in the past has been a crutch. There should be a log of rpmnew/rpmsave
files created at rpm update time as part of the package update process.

The basic issue is one of notification. How should admins of systems be notified
of the creation of rpmnew and rpmsave files?  I personally think a simple log of
these events in a /var/log/ file would serve in all cases. Or any implementation
that allowed for centralized review of rpmnew and rpmsave file creation times. 

A more complete solution would involve librpm being able to pass information
about these rpmsave/rpmnew file creation events to higher level tools so that
each tool could then in turn notify the tool user via the most appropriate ui
for the tool.  Yum for example could choose to log these events in its own log
file and perhaps in the end of transaction stdout summary text. rpm cli tool
might just spit this out to stdout or stderr. If librpm is already doing this
and I am just may be ignorant of this fact, I apologize.

I am most concerned about rpmsave file creation events. Though rare, when they
happen they tend to confuse less experienced admins into thinking something has
broken simply because they don't know about the rpmsave file 'feature'. 
TakefFor example, gdm. Until recently gdm updates generated rpmsave files. A
fair to partly cloudly number of less experienced hobbiests love to theme gdm.
They can be confused when gdm loses its theme information and they don't
recongnize this as a packaging feature. They unfortunately see it as a bug in
gdm. I think that finding a way to notify admins/hobbiests of rpmsave/rpmnew
creation events when they occur will go along way to mitigate confusion,
especially for novices.

Comment 1 Jeff Johnson 2005-08-26 22:25:30 EDT
The API's to paass any additional info to tools that use rpmlib do not -- and are unlikely to ever -- exist.

Deferred until hell freezes over, which will happen long before the rpm-python API changes.
Comment 2 Matt McCutchen 2010-05-08 04:21:30 EDT

"The DEFERRED resolution is not intended for use by Fedora (it is used in the RHEL process)."

Please reopen.

Note You need to log in before you can comment on or make changes to this bug.